Name:              libnode
Version:           2.1.0

%define release_nb 1

Release:           %{release_nb}rx3



%define libnode_name  %{name}-%{version}-%{release_nb}
%define source        %{libnode_name}.src.tgz



Summary:      Manages generic list and/or tree node structures
Copyright:    GPL/LGPL
Group:        Application/Utilitaires
Distribution: Rx3 OpenSource
Vendor:       Rx3
Packager:     Arnaud G. Gibert <arnaud@rx3.net>

Source:       ftp://ftp.rx3.org/pub/%{source}
Url:          http://www.rx3.org/dvp/libnode/download/
BuildRoot:    %{_tmppath}/%{libnode_name}-buildroot
AutoReqProv:  no



%description
Manages generic list and/or tree node structures.



%files
/usr



%build
rm -rf %{libnode_name}
tar -xzvvf /usr/src/RPM/SOURCES/%{source}
cd %{libnode_name}
make clean
make all



%install
cd %{libnode_name}
make install ROOT=$RPM_BUILD_ROOT



%clean
rm -rf %{libnode_name}
rm -rf $RPM_BUILD_ROOT



%changelog
* Mon Jan 24 2005 Arnaud G. Gibert <arnaud@rx3.net> 2.1.0-1rx3
- Update to 2.1.0 release,
- Now use "rx3" as release suffix,
- Fix copyright entry.

* Wed Jan 19 2005 Arnaud G. Gibert <arnaud@rx3.net> 2.0.7-1
- Update to 2.0.7 release.

* Tue Aug 24 2004 Arnaud G. Gibert <arnaud@rx3.net> 2.0.6-1
- Update to 2.0.6 release.

* Tue Jul 15 2003 Arnaud G. Gibert <arnaud@rx3.net> - 2.0.5-1
- Add release in libnode dir name support.

* Tue Jul 15 2003 Marc Regimbeau <marc.regimbeau@flomaco.net> - 2.0.4-2
- Initial release of this spec file.
